<script lang="ts">
	import type { ValidationResult } from "@/utils/form_validation";
	import { Button, Dialog, TextField } from "attractions";
	import type { DialogProps } from "attractions/dialog/dialog.svelte";
	import FormCard from "./FormCard.svelte";
	import { page } from "$app/stores";
	import Alert from "./Alert.svelte";
	import { API_URL, FETCH_OPTIONS } from "@/utils/constants";
    import { createEventDispatcher } from "svelte";

	export let closeCallback: DialogProps["closeCallback"];

	$: form = $page.form;

	let name = "";
	let dispatch = createEventDispatcher<{reload_data: null}>();
	async function submit() {
		await fetch(`${API_URL}/account/create`, {
			...FETCH_OPTIONS,
			method: "POST",
			body: JSON.stringify({ name }),
		});

		dispatch("reload_data");
	}
</script>

<div class="wrapper">
	<Dialog {closeCallback} title="Új számla hozzáadása">
		<div class="dialog-content">
			{#if form && form.error_msg}
				<Alert type="error" width="100%">
					{form.error_msg}
				</Alert>
			{/if}
			<div class="form">
				<TextField outline label="Név" bind:value={name} />
				<Button on:click={submit}>Létrehoz</Button>
			</div>
		</div>
	</Dialog>
</div>

<style>
	.wrapper {
		display: flex;
	}
	.form {
		display: flex;
		column-gap: 12px;
	}
</style>
